POSTGetTransactionReceiptById

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/gettransactionreceiptbyid

Query the resource consumption receipt of a transaction by its transaction ID. The response contains Energy/Bandwidth usage and the execution result.

Request Body
valuestringrequired

Transaction ID (hash). Example: 5356f10bd838ba7db012850f2c3e7c02d992eab6a789cf7edb2fbf8dabbef50f

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
energy_usageinteger (int64)

Energy deducted from the caller's own Energy balance.

예: 29280

energy_feeinteger (int64)

Fee paid in TRX when the caller's Energy was insufficient. (Unit: sun)

origin_energy_usageinteger (int64)

Energy paid by the contract deployer on behalf of the caller.

예: 2615

energy_usage_totalinteger (int64)

Total Energy consumed by the transaction.

예: 31895

net_usageinteger (int64)

Bandwidth deducted from the caller's own Bandwidth balance.

net_feeinteger (int64)

Fee paid in TRX when the caller's Bandwidth was insufficient. (Unit: sun)

예: 345000

resultstring

Execution result of the smart contract.

예: SUCCESS

energy_penalty_totalinteger (int64)

Additional Energy charged by the contract's Energy penalty factor.

예: 17245

X-API-KEY
RequestCU20
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/gettransactionreceiptbyid" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "value": "349ab7e2ba7f10687049d02a8138668d14a88888709aa681f7b32d475b0049d4"
}'
Response
Example · 200
{
  "Receipt": {
    "energy_usage": 29280,
    "energy_fee": 0,
    "origin_energy_usage": 2615,
    "energy_usage_total": 31895,
    "net_usage": 0,
    "net_fee": 345000,
    "result": "SUCCESS",
    "energy_penalty_total": 17245
  }
}